import Components from 'unplugin-vue-components/vite'
import {AntDesignVueResolver} from 'unplugin-vue-components/resolvers'
import styleImport, {AndDesignVueResolve, AntdResolve} from 'vite-plugin-style-import'
import {defineConfig} from 'vite'
// @ts-ignore
import vue from '@vitejs/plugin-vue'

export default defineConfig({
    plugins: [
        vue(),
        // antd自动按需引入
        Components({
            resolvers: [
                AntDesignVueResolver(),
            ]
        }),
        // @ts-ignore
        styleImport({
            resolves: [
                AndDesignVueResolve(),
                AntdResolve()
            ],
            // 自定义规则
            libs: [
                {
                    libraryName: 'ant-design-vue',
                    esModule: true,
                    resolveStyle: (name: any) => {
                        return `ant-design-vue/es/${name}/style/index`
                    }
                }
            ]
        })
    ],
    // 引用使用less的库要配置一下
    css: {
        preprocessorOptions: {
            less: {
                javascriptEnabled: true
            }
        }
    },
    // 让terminal显示network地址
    server: {
        host: '0.0.0.0'
    }
})